Query Information of an Inbound Route
Query the detailed information of an inbound route.
Request URL
GET {base_url}/{api_path}/inbound_route/get?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the inbound route. Note:You can query the inbound route's ID using Search Specific Inbound Routes. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Object<Inroute_Details> | The detailed information of the inbound route. |
Inroute_Details
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the inbound route. |
| name | String | The name of the inbound route. |
| alert_info | String | Inbound alert info. |
| did_option | String | DID matching mode.
|
| did_pattern_list | Array<DID_Pattern_List> | The DID matching pattern list when the did_option is patterns. |
| did_pattern_to_ext | String | The DID matching pattern to extensions when the did_option is pattern_to_ext. |
| did_to_ext_start | String | The start number of the DID matching pattern range when the did_option is range_to_ext. |
| did_to_ext_end | String | The end number of the DID matching pattern range when the did_option is range_to_ext. |
| did_pattern_to_ext_list | Array <DID_Ext_List> | The list of DID numbers and the corresponding extensions when the did_option is pattern_to_ext_list. |
| cid_option | String | Caller ID matching pattern.
|
| cid_pattern_list | Array<CID_Pattern_List> | The Caller ID matching pattern list when the cid_option is patterns. |
| cid_to_phonebook | Array<Integer> | The ID of the selected phonebook when the cid_option is phonebook. |
| trunk_list | Array<Trunk_List> | The list of the selected trunk in the inbound route. |
| def_dest | String | Default destination.
|
| def_dest_prefix | String | This parameter returns different information depending on the def_dest.
|
| def_dest_value | String | This parameter returns different results depending on the def_dest.
|
| def_dest_ext_list | Array<Ext_List> | The selected extensions/extension groups when the def_dest is pattern_to_ext. |
| ringback_tone | String | The filename of custom prompt played for the caller before the extension user answers the call when the def_dest is extension. |
DID_Pattern_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the DID pattern. |
| did_pattern | String | The DID matching rules. |
DID_Ext_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the DID number matching rule. |
| did_pattern | String | The DID number. |
| did_pattern_to_ext | String | The ID of the extension that corresponds to the DID number. |
CID_Pattern_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the Caller ID pattern. |
| cid_pattern | String | The Caller ID matching rules. |
Trunk_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the selected trunk. |
| name | String | Trunk name. |
| type | String | Trunk type. |
Ext_List
| Parameter | Type | Description |
|---|---|---|
| value | String | The unique ID of the extension/extension group. |
| name | String | The name of the extension/extension group. |
| number | String | Extension number. |
| type | String | The type of the selected item.
|
Examples
Request example
GET /openapi/v1.0/inbound_route/get?id=30&access_token=LC0V0aZjQCf3LBs9yn8RmXacl2GlrXPn HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": {
"id": 30,
"name": "test5",
"did_option": "range_to_ext",
"did_to_ext_start": "5503301",
"did_to_ext_end": "5503310",
"cid_option": "phonebook",
"cid_to_phonebook": "[10,5]",
"trunk_list": [
{
"id": 28,
"name": "6700-account-trunking",
"type": "account"
}
],
"def_dest": "range_to_ext",
"def_dest_value": "2001-2010",
"ringback_tone": ""
}
}